package be.iminds.ilabt.jfed.espec.bundle;

import be.iminds.ilabt.jfed.espec.model.ExperimentSpecification;
import be.iminds.ilabt.jfed.espec.parser.ExperimentSpecificationParser;
import be.iminds.ilabt.jfed.util.IOUtils;
import org.apache.commons.compress.archivers.ArchiveEntry;
import org.apache.commons.compress.archivers.ArchiveException;
import org.apache.commons.compress.archivers.ArchiveInputStream;
import org.apache.commons.compress.archivers.ArchiveStreamFactory;
import org.apache.commons.compress.compressors.CompressorException;
import org.apache.commons.compress.compressors.CompressorInputStream;
import org.apache.commons.compress.compressors.CompressorStreamFactory;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Nonnull;
import java.io.*;
import java.nio.ByteBuffer;
import java.nio.charset.StandardCharsets;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;

/**
 * Bundle
 */
public class InMemoryArchiveESpecBundle extends AbstractArchiveESpecBundle {
    private static final Logger LOG = LoggerFactory.getLogger(InMemoryArchiveESpecBundle.class);

    InMemoryArchiveESpecBundle(@Nonnull InputStream archiveInputStream) throws ESpecBundleInitException {
        super(archiveInputStream);
    }
    InMemoryArchiveESpecBundle(@Nonnull byte[] bytes) throws ESpecBundleInitException {
        super(() -> new ByteArrayInputStream(bytes), false);
    }
}
